package com.ruoyi.bst.goods.service.impl;

import com.ruoyi.bst.goods.domain.GoodsVO;
import com.ruoyi.bst.goods.service.GoodsConverter;
import com.ruoyi.bst.store.domain.Store;
import com.ruoyi.bst.store.service.StoreConverter;
import org.springframework.stereotype.Service;

@Service
public class GoodsConverterImpl implements GoodsConverter {
    @Override
    public GoodsVO toPoByCreate(GoodsVO data) {
        if (data == null) {
            return null;
        }
        GoodsVO po = new GoodsVO();
        // 设置基本信息
        po.setStoreId(data.getStoreId());
        po.setCategoryId(data.getCategoryId());
        po.setName(data.getName());
        po.setImage(data.getImage());
        po.setDeposit(data.getDeposit());
        po.setStatus(data.getStatus());
        po.setSort(data.getSort());

        // 设置规格值信息
        po.setSpecVO(data.getSpecVO());

        // 设置SKU信息
        po.setSkuVO(data.getSkuVO());
        return po;
    }

    @Override
    public GoodsVO toPoByUpdate(GoodsVO data) {
        if (data == null) {
            return null;
        }
        GoodsVO po = new GoodsVO();
        // 设置基本信息
        po.setId(data.getId());
        po.setStoreId(data.getStoreId());
        po.setCategoryId(data.getCategoryId());
        po.setName(data.getName());
        po.setImage(data.getImage());
        po.setDeposit(data.getDeposit());
        po.setStatus(data.getStatus());
        po.setSort(data.getSort());

        // 设置规格值信息
        po.setSpecVO(data.getSpecVO());

        // 设置SKU信息
        po.setSkuVO(data.getSkuVO());

        return po;
    }
}
