package com.ruoyi.bst.location.domain;

import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 存放位置对象 bst_location
 *
 * @author ruoyi
 * @date 2025-06-06
 */
@Data
public class Location extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "店铺ID")
    @ApiModelProperty("店铺ID")
    @NotNull(message = "店铺ID不能为空",groups = {ValidGroup.Create.class})
    private Long storeId;

    @Excel(name = "位置名称")
    @ApiModelProperty("位置名称")
    @NotBlank(message = "位置名称不能为空",groups = {ValidGroup.Create.class})
    private String name;

}
