package com.ruoyi.bst.location.mapper;

import java.util.List;
import com.ruoyi.bst.location.domain.Location;
import com.ruoyi.bst.location.domain.LocationVO;
import com.ruoyi.bst.location.domain.LocationQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 存放位置Mapper接口
 *
 * @author ruoyi
 * @date 2025-06-06
 */
public interface LocationMapper
{
    /**
     * 查询存放位置
     *
     * @param id 存放位置主键
     * @return 存放位置
     */
    LocationVO selectLocationById(Long id);

    /**
     * 查询存放位置列表
     *
     * @param query 存放位置
     * @return 存放位置集合
     */
    List<LocationVO> selectLocationList(@Param("query")LocationQuery query);

    /**
     * 新增存放位置
     *
     * @param location 存放位置
     * @return 结果
     */
    int insertLocation(Location location);

    /**
     * 批量新增存放位置
     */
    int batchInsert(@Param("list") List<? extends Location> list);

    /**
     * 批量修改存放位置
     */
    int batchUpdate(@Param("list") List<? extends Location> list);

    /**
     * 修改存放位置
     *
     * @param location 存放位置
     * @return 结果
     */
    public int updateLocation(@Param("data") Location location);

    /**
     * 删除存放位置
     *
     * @param id 存放位置主键
     * @return 结果
     */
    int deleteLocationById(Long id);

    /**
     * 批量删除存放位置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLocationByIds(List<Long> ids);

    List<Long> selectIdByQuery(@Param("query") LocationQuery query);
}
