package com.ruoyi.bst.location.service;

import java.util.List;
import com.ruoyi.bst.location.domain.Location;
import com.ruoyi.bst.location.domain.LocationVO;
import com.ruoyi.bst.location.domain.LocationQuery;

/**
 * 存放位置Service接口
 *
 * @author ruoyi
 * @date 2025-06-06
 */
public interface LocationService
{
    /**
     * 查询存放位置
     *
     * @param id 存放位置主键
     * @return 存放位置
     */
    public LocationVO selectLocationById(Long id,boolean scope);

    default LocationVO selectLocationById(Long id){
        return this.selectLocationById(id,false);
    }

    public LocationVO selectOne(LocationQuery query);
    /**
     * 查询存放位置列表
     *
     * @param location 存放位置
     * @return 存放位置集合
     */
    public List<LocationVO> selectLocationList(LocationQuery location);

    /**
     * 新增存放位置
     *
     * @param location 存放位置
     * @return 结果
     */
    public int insertLocation(Location location);

    /**
     * 修改存放位置
     *
     * @param location 存放位置
     * @return 结果
     */
    public int updateLocation(Location location);

    /**
     * 批量删除存放位置
     *
     * @param ids 需要删除的存放位置主键集合
     * @return 结果
     */
    public int deleteLocationByIds(List<Long> ids);

    /**
     * 删除存放位置信息
     *
     * @param id 存放位置主键
     * @return 结果
     */
    public int deleteLocationById(Long id);
}
