package com.ruoyi.bst.location.service.impl;

import com.ruoyi.bst.location.domain.LocationQuery;
import com.ruoyi.bst.location.domain.LocationVO;
import com.ruoyi.bst.location.service.LocationAssembler;
import com.ruoyi.bst.location.service.LocationService;
import com.ruoyi.bst.storage.domain.StorageQuery;
import com.ruoyi.bst.storage.domain.StorageVO;
import com.ruoyi.bst.storage.service.StorageService;
import com.ruoyi.bst.team.domain.TeamVO;
import com.ruoyi.bst.team.service.TeamAssembler;
import com.ruoyi.bst.teamUser.domain.TeamUserQuery;
import com.ruoyi.bst.teamUser.domain.TeamUserVO;
import com.ruoyi.bst.teamUser.domain.enums.RoleType;
import com.ruoyi.bst.teamUser.service.TeamUserService;
import com.ruoyi.common.utils.collection.CollectionUtils;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class LocationAssemblerImpl implements LocationAssembler {

    @Autowired
    private StorageService storageService;

    @Override
    public void assembleStorageNum(List<LocationVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        List<Long> locationIds = CollectionUtils.map(list, LocationVO::getId);
        StorageQuery query = new StorageQuery();

        query.setLocationIds(locationIds);
        List<StorageVO> storageList = storageService.selectCurrentNum(query);
        Map<Long, Integer> idToCurrentNum = storageList.stream().collect(Collectors.toMap(StorageVO::getLocationId, StorageVO::getCurrentNum));

        for (LocationVO location : list) {
            Integer currentNum = idToCurrentNum.get(location.getId());
            location.setCurrentNum(currentNum);
        }
    }

}
