package com.ruoyi.bst.sku.domain;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 商品SKU对象 bst_sku
 *
 * @author ruoyi
 * @date 2025-05-30
 */
@Data
public class Sku extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    @NotNull(message = "规格名称不能为空",groups = {ValidGroup.Create.class})
    private Long goodsId;

    @Excel(name = "规格值ID集合", readConverterExp = "逗=号分隔，如1,3,5")
    @ApiModelProperty("规格值ID集合")
    @NotNull(message = "规格值ID集合不能为空",groups = {ValidGroup.Create.class})
    private List<String> specs;

    @Excel(name = "价格")
    @ApiModelProperty("价格")
    @NotNull(message = "价格不能为空",groups = {ValidGroup.Create.class})
    private BigDecimal price;

    @Excel(name = "库存数量")
    @ApiModelProperty("库存数量")
    @NotNull(message = "库存数量不能为空",groups = {ValidGroup.Create.class})
    private Integer stock;

    @Excel(name = "图片")
    @ApiModelProperty("图片")
    @NotBlank(message = "图片不能为空",groups = {ValidGroup.Create.class})
    private String image;

}
