package com.ruoyi.bst.spec.service.impl;

import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.app.service.AppAssembler;
import com.ruoyi.bst.pay.domain.PayQuery;
import com.ruoyi.bst.pay.domain.enums.PayStatus;
import com.ruoyi.bst.refund.domain.RefundQuery;
import com.ruoyi.bst.refund.domain.enums.RefundStatus;
import com.ruoyi.bst.spec.domain.SpecVO;
import com.ruoyi.bst.spec.service.SpecAssembler;
import com.ruoyi.bst.specValue.domain.SpecValueQuery;
import com.ruoyi.bst.specValue.domain.SpecValueVO;
import com.ruoyi.bst.specValue.service.SpecValueService;
import com.ruoyi.bst.store.domain.StoreVO;
import com.ruoyi.common.core.domain.vo.UserVO;
import com.ruoyi.common.domain.vo.LongDecimalVO;
import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.system.user.domain.UserQuery;
import com.ruoyi.system.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.LongAdder;
import java.util.stream.Collectors;

@Service
public class SpecAssemblerImpl implements SpecAssembler {

    @Autowired
    private SpecValueService specValueService;

    @Override
    public void assembleSpecsValueList(List<SpecVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }
        List<Long> specIds = list.stream().map(SpecVO::getId).collect(Collectors.toList());
        SpecValueQuery query = new SpecValueQuery();
        query.setSpecIds(specIds);
        List<SpecValueVO> specValueList = new ArrayList<>();
        if (CollectionUtils.isNotEmptyElement(specIds)) {
            specValueList = specValueService.selectSpecValueList(query);
        }

        for (SpecVO spec : list) {
            List<SpecValueVO> appUserList = specValueList.stream()
                    .filter(item -> spec.getId().equals(item.getSpecId()))
                    .collect(Collectors.toList());
            spec.setSpecValueVO(appUserList);
        }

    }
}
