package com.ruoyi.bst.specValue.domain;

import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 商品规格值对象 bst_spec_SpecValue
 *
 * @author ruoyi
 * @date 2025-05-28
 */
@Data
public class SpecValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "关联规格项ID")
    @ApiModelProperty("关联规格项ID")
    @NotNull(message = "关联规格项ID不能为空",groups = {ValidGroup.Create.class})
    private Long specId;

    @Excel(name = "规格值", readConverterExp = "如=：红色、XL")
    @ApiModelProperty("规格值")
    @NotBlank(message = "规格值不能为空",groups = {ValidGroup.Create.class})
    private String value;

}
