package com.ruoyi.bst.storage.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.bst.specValue.domain.SpecValue;
import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 存酒对象 bst_storage
 *
 * @author ruoyi
 * @date 2025-06-06
 */
@Data
public class Storage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "存放位置ID")
    @ApiModelProperty("存放位置ID")
    @NotNull(message = "存放位置ID不能为空",groups = {ValidGroup.Create.class})
    private Long locationId;

    @Excel(name = "店铺ID")
    @ApiModelProperty("店铺ID")
    @NotNull(message = "店铺ID不能为空",groups = {ValidGroup.Create.class})
    private Long storeId;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @NotNull(message = "用户ID不能为空",groups = {ValidGroup.Create.class})
    private Long userId;

    @Excel(name = "商品skuID")
    @ApiModelProperty("商品skuID")
    @NotNull(message = "商品skuID不能为空",groups = {ValidGroup.Create.class})
    private Long skuId;

    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    @NotBlank(message = "商品名称不能为空",groups = {ValidGroup.Create.class})
    private String goodsName;

    @Excel(name = "存放数量")
    @ApiModelProperty("存放数量")
    @NotNull(message = "存放数量不能为空",groups = {ValidGroup.Create.class})
    private Integer totalNum;

    @Excel(name = "已取数量")
    @ApiModelProperty("已取数量")
    private Integer takenNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "存放期限", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("存放期限")
    private Date deadline;

    @ApiModelProperty("规格值列表")
    @NotNull(message = "规格值列表不能为空",groups = {ValidGroup.Create.class})
    private List<SpecValue> specValue;

}
