package com.ruoyi.bst.storage.mapper;

import java.util.List;
import com.ruoyi.bst.storage.domain.Storage;
import com.ruoyi.bst.storage.domain.StorageVO;
import com.ruoyi.bst.storage.domain.StorageQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 存酒Mapper接口
 *
 * @author ruoyi
 * @date 2025-06-06
 */
public interface StorageMapper
{
    /**
     * 查询存酒
     *
     * @param id 存酒主键
     * @return 存酒
     */
    StorageVO selectStorageById(Long id);

    /**
     * 查询存酒列表
     *
     * @param query 存酒
     * @return 存酒集合
     */
    List<StorageVO> selectStorageList(@Param("query")StorageQuery query);

    /**
     * 新增存酒
     *
     * @param storage 存酒
     * @return 结果
     */
    int insertStorage(Storage storage);

    /**
     * 批量新增存酒
     */
    int batchInsert(@Param("list") List<? extends Storage> list);

    /**
     * 批量修改存酒
     */
    int batchUpdate(@Param("list") List<? extends Storage> list);

    /**
     * 修改存酒
     *
     * @param storage 存酒
     * @return 结果
     */
    public int updateStorage(@Param("data") Storage storage);

    /**
     * 删除存酒
     *
     * @param id 存酒主键
     * @return 结果
     */
    int deleteStorageById(Long id);

    /**
     * 批量删除存酒
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStorageByIds(Long[] ids);

    List<StorageVO> selectCurrentNum(@Param("query") StorageQuery query);

    List<Long> selectIdByQuery(@Param("query") StorageQuery query);

    int batchGetWine(@Param("list") List<Storage> toStorageUpdate);
}
