package com.ruoyi.bst.storage.service;

import java.util.List;
import com.ruoyi.bst.storage.domain.Storage;
import com.ruoyi.bst.storage.domain.StorageVO;
import com.ruoyi.bst.storage.domain.StorageQuery;
import com.ruoyi.bst.storage.domain.dto.StorageDTO;

/**
 * 存酒Service接口
 *
 * @author ruoyi
 * @date 2025-06-06
 */
public interface StorageService
{
    /**
     * 查询存酒
     *
     * @param id 存酒主键
     * @return 存酒
     */
    public StorageVO selectStorageById(Long id,boolean scope);

    default StorageVO selectStorageById(Long id){
        return selectStorageById(id,false);
    }

    public StorageVO selectOne(StorageQuery query);

    /**
     * 查询存酒列表
     *
     * @param storage 存酒
     * @return 存酒集合
     */
    public List<StorageVO> selectStorageList(StorageQuery storage);

    /**
     * 新增存酒
     *
     * @param storage 存酒
     * @return 结果
     */
    public int insertStorage(Storage storage);

    /**
     * 修改存酒
     *
     * @param storage 存酒
     * @return 结果
     */
    public int updateStorage(Storage storage);

    /**
     * 批量删除存酒
     *
     * @param ids 需要删除的存酒主键集合
     * @return 结果
     */
    public int deleteStorageByIds(Long[] ids);

    /**
     * 删除存酒信息
     *
     * @param id 存酒主键
     * @return 结果
     */
    public int deleteStorageById(Long id);

    int storageWine(List<Storage> storageList);

    List<StorageVO> selectCurrentNum(StorageQuery query);

    int getWine(List<StorageDTO> list);

}
