package com.ruoyi.bst.storageRecord.mapper;

import java.util.List;
import com.ruoyi.bst.storageRecord.domain.StorageRecord;
import com.ruoyi.bst.storageRecord.domain.StorageRecordVO;
import com.ruoyi.bst.storageRecord.domain.StorageRecordQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 取酒记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-06-06
 */
public interface StorageRecordMapper
{
    /**
     * 查询取酒记录
     *
     * @param id 取酒记录主键
     * @return 取酒记录
     */
    StorageRecordVO selectStorageRecordById(Long id);

    /**
     * 查询取酒记录列表
     *
     * @param query 取酒记录
     * @return 取酒记录集合
     */
    List<StorageRecordVO> selectStorageRecordList(@Param("query")StorageRecordQuery query);

    /**
     * 新增取酒记录
     *
     * @param storageRecord 取酒记录
     * @return 结果
     */
    int insertStorageRecord(StorageRecord storageRecord);

    /**
     * 批量新增取酒记录
     */
    int batchInsert(@Param("list") List<? extends StorageRecord> list);

    /**
     * 批量修改取酒记录
     */
    int batchUpdate(@Param("list") List<? extends StorageRecord> list);

    /**
     * 修改取酒记录
     *
     * @param storageRecord 取酒记录
     * @return 结果
     */
    public int updateStorageRecord(@Param("data") StorageRecord storageRecord);

    /**
     * 删除取酒记录
     *
     * @param id 取酒记录主键
     * @return 结果
     */
    int deleteStorageRecordById(Long id);

    /**
     * 批量删除取酒记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStorageRecordByIds(Long[] ids);
}
