package com.ruoyi.bst.storageRecord.service;

import java.util.List;
import com.ruoyi.bst.storageRecord.domain.StorageRecord;
import com.ruoyi.bst.storageRecord.domain.StorageRecordVO;
import com.ruoyi.bst.storageRecord.domain.StorageRecordQuery;

/**
 * 取酒记录Service接口
 *
 * @author ruoyi
 * @date 2025-06-06
 */
public interface StorageRecordService
{
    /**
     * 查询取酒记录
     *
     * @param id 取酒记录主键
     * @return 取酒记录
     */
    public StorageRecordVO selectStorageRecordById(Long id,boolean scope);

    default StorageRecordVO selectStorageRecordById(Long id){
        return this.selectStorageRecordById(id,false);
    }

    public StorageRecordVO selectOne(StorageRecordQuery query);
    /**
     * 查询取酒记录列表
     *
     * @param storageRecord 取酒记录
     * @return 取酒记录集合
     */
    public List<StorageRecordVO> selectStorageRecordList(StorageRecordQuery storageRecord);

    /**
     * 新增取酒记录
     *
     * @param storageRecord 取酒记录
     * @return 结果
     */
    public int insertStorageRecord(StorageRecord storageRecord);

    /**
     * 修改取酒记录
     *
     * @param storageRecord 取酒记录
     * @return 结果
     */
    public int updateStorageRecord(StorageRecord storageRecord);

    /**
     * 批量删除取酒记录
     *
     * @param ids 需要删除的取酒记录主键集合
     * @return 结果
     */
    public int deleteStorageRecordByIds(Long[] ids);

    /**
     * 删除取酒记录信息
     *
     * @param id 取酒记录主键
     * @return 结果
     */
    public int deleteStorageRecordById(Long id);

    int batchInsert(List<StorageRecord> storageRecordList);
}
