package com.ruoyi.bst.team.service;

import java.util.List;

public interface TeamValidator {

    /**
     * 判断当前拼桌是否可以加入用户
     * @param  teamId 拼桌ID
     * @return 是否允许
     */
    boolean canAddUser(Long teamId);

    /**
     * 判断当前用户是否可以编辑拼桌信息
     * @param  teamId 拼桌ID
     * @return 是否允许
     */
    boolean canEdit(Long teamId);

    /**
     * 判断当前用户是否可以删除拼桌信息
     * @param  teamIds 拼桌ID
     * @return 是否允许
     */
    boolean canDelete(List<Long> teamIds);

}
