package com.ruoyi.bst.teamUser.service;

public interface TeamUserValidator {

    /**
     * 判断当前用户是否可以发起或加入拼桌
     * @param  userId 用户ID
     * @return 是否允许
     */
    boolean canJoinTeam(Long userId);

    /**
     * 判断当前用户是否可以编辑拼桌信息
     * @param  teamUserId 用户ID
     * @return 是否允许
     */
    boolean canEdit(Long teamUserId);


    /**
     * 判断当前用户是否被踢出
     * @param  teamId 用户ID
     * @return 是否允许
     */
    boolean kicked(Long teamId, Long userId);
}
