package com.ruoyi.web.app;

import com.ruoyi.bst.goods.domain.GoodsQuery;
import com.ruoyi.bst.goods.domain.GoodsVO;
import com.ruoyi.bst.goods.service.GoodsService;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategory;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategoryQuery;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategoryVO;
import com.ruoyi.bst.goodsCategory.service.GoodsCategoryService;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/app/goodsCategory")
public class AppGoodsCategoryController extends BaseController {

    @Autowired
    private GoodsCategoryService goodsCategoryService;

    @ApiOperation("查询商品分类列表")
    @GetMapping("/list")
    public TableDataInfo list(GoodsCategoryQuery query) {
        startPage();
        List<GoodsCategoryVO> list = goodsCategoryService.selectGoodsCategoryList(query);
        return getDataTable(list);
    }

    


}
