package com.ruoyi.web.app;

import com.github.pagehelper.PageHelper;
import com.ruoyi.bst.agreement.domain.AgreementQuery;
import com.ruoyi.bst.agreement.domain.AgreementVO;
import com.ruoyi.bst.agreement.service.AgreementService;
import com.ruoyi.bst.goods.domain.GoodsQuery;
import com.ruoyi.bst.goods.domain.GoodsVO;
import com.ruoyi.bst.goods.domain.enums.GoodsStatus;
import com.ruoyi.bst.goods.service.GoodsService;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.collection.CollectionUtils;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/app/goods")
public class AppGoodsController extends BaseController {

    @Autowired
    private GoodsService goodsService;

    @ApiOperation("查询商品列表")
    @GetMapping("/list")
    public TableDataInfo list(GoodsQuery query) {
        startPage();
        query.setStatus(GoodsStatus.ONSALE.getCode());
        List<GoodsVO> list = goodsService.selectGoodsList(query);
        return getDataTable(list);
    }

}
