package com.ruoyi.web.app;

import com.ruoyi.bst.storage.domain.Storage;
import com.ruoyi.bst.storage.domain.StorageQuery;
import com.ruoyi.bst.storage.service.StorageService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/app/storage")
public class AppStorageController extends BaseController {

    @Autowired
    private StorageService storageService;

    @ApiOperation("存酒")
    @PutMapping("/storageWine")
    public AjaxResult storageWine(@RequestBody List<Storage> storageList) {
        return AjaxResult.success(storageService.storageWine(storageList));
    }

    @ApiOperation("我的存酒信息")
    @GetMapping("/myWine")
    public TableDataInfo myWine(@RequestParam Long storeId) {
        StorageQuery query = new StorageQuery();
        query.setUserId(getUserId());
        query.setStoreId(storeId);
        return getDataTable(storageService.selectStorageList(query));
    }

}
